<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.report.mapper.KuaiShouReportHourlyMaterialMapper">

    <insert id="batchReplace">
        replace into `ctop_kuaishou_report_hourly_material` (
        account_id,
        photo_id,
        channel_type,
        signature,
        image_token,
        cover_url,
        photo_url,
        creative_material_type_string,
        ad_scene,
        charge,
        photo_show,
        aclick,
        bclick,
        photo_share,
        photo_comment,
        photo_like,
        follow,
        cancel_follow,
        report,
        block,
        negative,
        download_started,
        download_completed,
        activation,
        submit,
        stat_date,
        stat_hour,
        photo_click,
        photo_click_ratio,
        action_ratio,
        impression_1k_cost,
        photo_click_cost,
        action_cost,
        event_pay_first_day,
        event_pay_purchase_amount_first_day,
        event_pay_first_day_roi,
        event_pay,
        event_pay_purchase_amount,
        event_pay_roi,
        event_register,
        event_register_cost,
        event_register_ratio,
        event_jin_jian_app,
        event_jin_jian_app_cost,
        event_credit_grant_app,
        event_credit_grant_app_cost,
        event_credit_grant_app_ratio,
        event_order_paid,
        event_order_paid_purchase_amount,
        event_jin_jian_landing_page,
        event_jin_jian_landing_page_cost,
        event_credit_grant_landing_page,
        event_credit_grant_landing_page_cost,
        event_credit_grant_landing_ratio,
        event_next_day_stay_cost,
        event_next_day_stay_ratio,
        form_action_ratio,
        event_order_paid_cost,
        event_next_day_stay,
        form_cost,
        form_count,
        play_3s_ratio
        )
        values
        <foreach collection="addList" item="material" separator=",">
            (
            #{material.accountId},
            #{material.photoId},
            #{material.channelType},
            #{material.signature},
            #{material.imageToken},
            #{material.coverUrl},
            #{material.photoUrl},
            #{material.creativeMaterialTypeString},
            #{material.adScene},
            #{material.charge},
            #{material.photoShow},
            #{material.aclick},
            #{material.bclick},
            #{material.photoShare},
            #{material.photoComment},
            #{material.photoLike},
            #{material.follow},
            #{material.cancelFollow},
            #{material.report},
            #{material.block},
            #{material.negative},
            #{material.downloadStarted},
            #{material.downloadCompleted},
            #{material.activation},
            #{material.submit},
            #{material.statDate},
            #{material.statHour},
            #{material.photoClick},
            #{material.photoClickRatio},
            #{material.actionRatio},
            #{material.impression1kCost},
            #{material.photoClickCost},
            #{material.actionCost},
            #{material.eventPayFirstDay},
            #{material.eventPayPurchaseAmountFirstDay},
            #{material.eventPayFirstDayRoi},
            #{material.eventPay},
            #{material.eventPayPurchaseAmount},
            #{material.eventPayRoi},
            #{material.eventRegister},
            #{material.eventRegisterCost},
            #{material.eventRegisterRatio},
            #{material.eventJinJianApp},
            #{material.eventJinJianAppCost},
            #{material.eventCreditGrantApp},
            #{material.eventCreditGrantAppCost},
            #{material.eventCreditGrantAppRatio},
            #{material.eventOrderPaid},
            #{material.eventOrderPaidPurchaseAmount},
            #{material.eventJinJianLandingPage},
            #{material.eventJinJianLandingPageCost},
            #{material.eventCreditGrantLandingPage},
            #{material.eventCreditGrantLandingPageCost},
            #{material.eventCreditGrantLandingRatio},
            #{material.eventNextDayStayCost},
            #{material.eventNextDayStayRatio},
            #{material.formActionRatio},
            #{material.eventOrderPaidCost},
            #{material.eventNextDayStay},
            #{material.formCost},
            #{material.formCount},
            #{material.play3sRatio}
            )
        </foreach>

    </insert>
</mapper>